Bug 969415 - tomoe includes non-free contents
tomoe includes non-free contents
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tomoe (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-05-31 07:39 EDT by mejiko
Modified: 2014-02-25 02:56 EST (History)
5 users (show)

See Also:
Fixed In Version: tomoe-0.6.0-28.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-25 02:53:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 182652 None None None Never

  None (edit)
Description mejiko 2013-05-31 07:39:46 EDT
Hello.

tomoe included non-free content.


Files:

tomoe-0.6.0/data/kanjidic2.xml
tomoe-0.6.0/data/kanjidic2-original.xml


Kanjidic (and Kanjidic2) is free, and Fedora acceptable license. (License is CC-BY-SA 3.0).
but Kanjidic (and Kanjidic2) is mixing non-free content.


License URI:

http://www.edrdg.org/edrdg/licence.html (See Section 3 and 7)

Non-free code license is CC-BY-NC-SA, Its non-free.
Non-free code included Kanjidic and Kanjidic2.


License URI:

http://www.kanji.org/kanji/dictionaries/skip_permission.htm



Suggests:

1. Remove non-free code and rebuild.

2. Remove fedora repos.

3. Contact upstream author.


Thanks.



Reference:

http://www.csse.monash.edu.au/~jwb/kanjidic.html
http://www.csse.monash.edu.au/~jwb/kanjidic2/kanjidic2_ov.html
http://www.csse.monash.edu.au/~jwb/kanjidic_doc.html
http://packages.debian.org/ja/sid/kanjidic-xml
http://packages.debian.org/sid/kanjidic
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=182652
Comment 1 mejiko 2013-05-31 07:40:19 EDT
Blocking FE-Legal, This is license problem.
Comment 2 Tom "spot" Callaway 2013-05-31 09:44:09 EDT
Same issue as 969411, just in a different package.
Comment 3 Peng Wu 2013-06-14 02:08:19 EDT
email sent to Jack Halpern.
Comment 4 mejiko 2013-08-04 22:47:14 EDT
Fedora 19 version is not resolved this problem.
Comment 6 Peng Wu 2013-11-12 22:23:51 EST
No response from Jack Halpern yet.
Comment 7 Jens Petersen 2014-02-04 00:36:30 EST
Let's remove the SKIP codes like Debian see:

http://packages.debian.org/source/sid/kanjidic
-> http://ftp.de.debian.org/debian/pool/main/k/kanjidic/kanjidic_2012.05.09-1.diff.gz
-> debian/download (script includes SKIP content "removal")

If the SKIP codes are not redistribution even in source form
then we should respin the tarball like Debian does.

(The same should be done for kiten - Fedora should really ship
kanjidic as a separate package like Debian.)
Comment 8 Peng Wu 2014-02-13 00:50:46 EST
It seems that only kanjidic2-original.xml contains skip code.
I used strip.sh to remove skip code from kanjidic2-original.xml,
and re-generate kanjidic2.xml, the kanjidic2.xml is un-changed.

and built for rawhide, if this change is okay,
I will push updates for fedora 19, 20.
Comment 9 Jens Petersen 2014-02-13 20:39:53 EST
(In reply to Peng Wu from comment #8)
> I used strip.sh to remove skip code from kanjidic2-original.xml,
> and re-generate kanjidic2.xml, the kanjidic2.xml is un-changed.
> and built for rawhide, if this change is okay,
> I will push updates for fedora 19, 20.

Thanks!  Can you add a comment above Source0 explaining
how to generate tomoe-stripped-0.6.0.tar.gz from the upstream
tarball.

Something like:

## stripped tarball is generated as follows:
# $ wget http://downloads.sourceforge.net/sourceforge/tomoe/%{name}-%{version}.tar.gz
# $ ./strip.sh %{name}-%{version}.tar.gz

this could replace

#Source0:        http://downloads.sourceforge.net/sourceforge/tomoe/%{name}-%{version}.tar.gz
Comment 10 Peng Wu 2014-02-14 00:13:20 EST
Okay, comments added.

Will push updates for Fedora 19, 20 this afternoon.
Comment 11 Fedora Update System 2014-02-14 01:18:11 EST
tomoe-0.6.0-28.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tomoe-0.6.0-28.fc19
Comment 12 Fedora Update System 2014-02-14 01:18:19 EST
tomoe-0.6.0-28.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tomoe-0.6.0-28.fc20
Comment 13 Fedora Update System 2014-02-15 02:02:19 EST
Package tomoe-0.6.0-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tomoe-0.6.0-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2567/tomoe-0.6.0-28.fc19
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-02-25 02:53:40 EST
tomoe-0.6.0-28.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2014-02-25 02:56:40 EST
tomoe-0.6.0-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.